%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        Utility for converting between character sets
Name:           recode
Version:        3.7.8
Release:        %mkrel 1
Group:          Text tools
License:        GPLv3+
URL:            https://github.com/rrthomas/recode
Source0:        https://github.com/rrthomas/recode/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  flex
BuildRequires:  texinfo
BuildRequires:  gettext-devel

%description
The GNU recode utility converts files between various character sets.

%package -n     %{libname}
Summary:        Shared GNU recode library
Group:          System/Libraries

%description -n %{libname}
The GNU recode utility converts files between various character sets.

This package provides the shared recode library.

%package -n     %{develname}
Summary:        Development files for the %{libname} library
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for the %{libname} library.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -D_REENTRANT -fPIC"
%configure \
     --disable-static \
     --without-included-gettext
%make_build

%install
%make_install

%find_lang %{name}

# house cleansing
rm -f %{buildroot}%{_infodir}/dir

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc COPYING NEWS README
%doc THANKS doc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc contrib
%{_libdir}/*.so
%{_includedir}/*.h


%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 3.7.8-1.mga8
+ Revision: 1647219
- 3.7.8

* Thu Aug 20 2020 ovitters <ovitters> 3.7.7-2.mga8
+ Revision: 1616656
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun Aug 02 2020 shlomif <shlomif> 3.7.7-1.mga8
+ Revision: 1610653
- New version 3.7.7

* Sun Feb 16 2020 umeabot <umeabot> 3.7.6-2.mga8
+ Revision: 1534260
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 01 2019 daviddavid <daviddavid> 3.7.6-1.mga8
+ Revision: 1448577
- new version: 3.7.6

* Mon Sep 02 2019 daviddavid <daviddavid> 3.7.4-1.mga8
+ Revision: 1436354
- new version: 3.7.4

* Sun Sep 01 2019 daviddavid <daviddavid> 3.7.3-1.mga8
+ Revision: 1436152
- new version: 3.7.3
- now libmajor is 3

* Thu Sep 27 2018 daviddavid <daviddavid> 3.7.1-2.mga7
+ Revision: 1307397
- new version: 3.7.1
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 shlomif <shlomif> 3.7-1.mga7
+ Revision: 1198216
- New version 3.7 - now at GitHub.
- .spec cleanups.

* Fri Oct 13 2017 luigiwalser <luigiwalser> 3.6-29.mga7
+ Revision: 1171701
- add patch from fedora to fix buffer overflow vulnerability (rhbz#1422545)

* Fri Feb 05 2016 umeabot <umeabot> 3.6-28.mga6
+ Revision: 937447
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.6-27.mga6
+ Revision: 937000
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.6-26.mga5
+ Revision: 748667
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.6-25.mga5
+ Revision: 688632
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.6-24.mga4
+ Revision: 517997
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.6-23.mga3
+ Revision: 380264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 3.6-22.mga3
+ Revision: 336349
- add BuildRequires: texinfo for makeinfo
- patch4: fix build with automake 1.13

* Mon Dec 24 2012 cjw <cjw> 3.6-21.mga3
+ Revision: 334653
- patch3: fix build with automake 1.12, re-used from fedora

* Mon Feb 13 2012 fwang <fwang> 3.6-20.mga2
+ Revision: 208417
- add fedora patch to build with latest autotools

* Fri Jan 14 2011 mikala <mikala> 3.6-19.mga1
+ Revision: 17675
- Drop mdk macros
- imported package recode


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6-19mdv2011.0
+ Revision: 607346
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6-18mdv2010.1
+ Revision: 519065
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.6-17mdv2010.0
+ Revision: 426903
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6-16mdv2009.1
+ Revision: 317141
- fix build with -Werror=format-security (P1)

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.6-15mdv2009.0
+ Revision: 265633
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6-14mdv2009.0
+ Revision: 195239
- new debian patch
- fix devel naming

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6-13mdv2008.1
+ Revision: 179430
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 13:02:29 (63479)
- bunzip patches

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-11 12:59:19 (63478)
Import recode

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.6-11mdk
- Rebuild

* Wed Jan 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-10mdk
- fix deps

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.6-9mdk
- add BuildRequires: automake1.4

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-8mdk
- revert latest "lib64 fixes"

* Wed Dec 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-7mdk
- lib64 fixes

* Tue May 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-6mdk
- use the debian patch instead, (fixing utf8 conversion + php anti
  symbol clash, translations, etc.)
- use --without-included-gettext and fix deps
- add -D_REENTRANT to CFLAGS

* Tue May 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.6-5mdk
- include the patch from fedora, (fixing utf8 conversion + php anti 
  symbol clash)
- merge static-devel sub package into the devel sub package
- libifiction
- misc spec file fixes

